Kerbal Space Program - Bug #21884

IVA Kerbal Head Visibility Inconsistency
04/13/2019 04:14 PM - kigraham1013

Status: Confirmed Start date: 04/13/2019
Severity: Low % Done: 10%
Assignee:

Category: Camera

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

When in IVA and zoomed all the way out, a Kerbal's head is visible or invisible depending on the capsule. | would prefer the head
always be invisible, but the goal should be consistency. | have included a craft with all pods for testing purposes. Demonstration

video: [[hitps://youtu.be/khbaAj9al00]]

History

#1 - 04/13/2019 05:47 PM - klesh
- File Mk1LanderCanNoHead.png added

| just had a test using the supplied craft and I'm actually not seeing this. I'm seeing no heads in all pods. | even went back to the video to see what
pods had a head showing (Mk1 Lander can for example) and sure enough mine don't show this anomaly. Checked all pods = All no heads for moi.

#2 - 04/13/2019 08:55 PM - Anth12

Video is awesome. You wouldn't have the save for that would you?

#3 - 04/13/2019 10:46 PM - kigraham1013

- File persistent.sfs added

Here's the save file with all pods filled and ready to test. Still getting the same results.

#4 - 04/14/2019 02:44 AM - Dunbaratu

| have also noticed that staring with KSP 1.7 (this didn't happen before that) sometimes the "thumbnail" pictures of the Kerbals down in the lower-right
corner of the flight screen will show empty blackness for one of the kerbals. | wonder if that might be related to this bug (i.e. It's trying to draw the

kerbal's head in the thumbnail, and there's nothing there to draw).

#5 - 04/14/2019 04:31 AM - Anth12
- File screenshot8.png added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed. Zoom out and its seen.

Agreed. Shouldnt see the top of the neck or see the Kerbals eyes like the supplied video shows
